com.google.cloud.dataflow.sdk.testing

## Enum SourceTestUtils.ExpectedSplitOutcome

- java.lang.Object
- - java.lang.Enum<SourceTestUtils.ExpectedSplitOutcome>
  - - com.google.cloud.dataflow.sdk.testing.SourceTestUtils.ExpectedSplitOutcome

All Implemented Interfaces:
  Serializable, Comparable<SourceTestUtils.ExpectedSplitOutcome>

Enclosing class:
  SourceTestUtils

    public static enum SourceTestUtils.ExpectedSplitOutcome
    extends Enum<SourceTestUtils.ExpectedSplitOutcome>

Expected outcome of `BoundedSource.BoundedReader.splitAtFraction(double)`.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`MUST_BE_CONSISTENT_IF_SUCCEEDS` The operation must either fail, or succeed and the results be consistent.
`MUST_FAIL` The operation must fail (return `null`).
`MUST_SUCCEED_AND_BE_CONSISTENT` The operation must succeed and the results must be consistent.

### Method Summary

All Methods Static Methods Concrete Methods
`static SourceTestUtils.ExpectedSplitOutcome` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SourceTestUtils.ExpectedSplitOutcome[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MUST_SUCCEED_AND_BE_CONSISTENT

    public static final SourceTestUtils.ExpectedSplitOutcome MUST_SUCCEED_AND_BE_CONSISTENT

The operation must succeed and the results must be consistent.

#### MUST_FAIL

    public static final SourceTestUtils.ExpectedSplitOutcome MUST_FAIL

The operation must fail (return `null`).

#### MUST_BE_CONSISTENT_IF_SUCCEEDS

    public static final SourceTestUtils.ExpectedSplitOutcome MUST_BE_CONSISTENT_IF_SUCCEEDS

The operation must either fail, or succeed and the results be consistent.

### Method Detail

#### values

    public static SourceTestUtils.ExpectedSplitOutcome[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SourceTestUtils.ExpectedSplitOutcome c : SourceTestUtils.ExpectedSplitOutcome.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SourceTestUtils.ExpectedSplitOutcome valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null